PDA

View Full Version : hardcore mods


jxxx22
10-03-2006, 11:40 AM
i was trying to combine 3 mods to make the game harder. Hardcore Mod by Beancounter, Achilles Game Balance Mod, and Improved Combat AI by stoffe -mkb-. Achilles mod and hardcore mod worked fine, but improved combat ai uses same file hardmore mod (k_ai_master.ncs).
any suggestion?

stoffe
10-03-2006, 03:35 PM
i was trying to combine 3 mods to make the game harder. Hardcore Mod by Beancounter, Achilles Game Balance Mod, and Improved Combat AI by stoffe -mkb-. Achilles mod and hardcore mod worked fine, but improved combat ai uses same file hardmore mod (k_ai_master.ncs).
any suggestion?

Is this the version of the Improved Combat AI that comes with an installer? If this is the case, to into the tslpatchdata folder where you have unzipped the installer and open the file k_ai_master.nss found inside with a text editor. Go to line 21 and delete the // comment marker at the beginning so the line reads:

#include "Hardcore_Mod"

Then go to line 158 and delete the /* block comment start marker, and go down to line 161 and delete the */ block comment end marker. Save the modified file.

Next, extract all script source files (.NSS) from the hardcore mod into the tslpatchdata folder. DO NOT OVERWRITE ANY EXISTING FILES, just skip the files that already exists in the tslpatchdata folder.

Finally, run the installer to install the Improved Combat AI mod. If you did everything properly the hardcore mod should now be enabled along with the Improved AI.

Note: This currently only works if you use the install option to install the AI compatible with the High Level Force Powers mod. If you don't have the High Level Force Powers mod you will need to recompile the scripts manually and put them in the override folder.

jxxx22
10-03-2006, 09:49 PM
hmmm... the modified_ai_hlfp and aitweak2u2 are same version? because modified_ai_hlfp has an installer and aitweak2u2 doesnt.
anyway i have recompiled aitweak2u2 to support high powers, but i didnt changed the hardcore support, just to know, what version they are.

stoffe
10-03-2006, 10:36 PM
hmmm... the modified_ai_hlfp and aitweak2u2 are same version? because modified_ai_hlfp has an installer and aitweak2u2 doesnt.
anyway i have recompiled aitweak2u2 to support high powers, but i didnt changed the hardcore support, just to know, what version they are.

The aitweak2u2 is an older version. modified_ai_hlfp is a newer version which contains some additional improvements to the scripts, and come with an installer. I'm not 100% sure it's the latest version though, depending on where you got it from. There was one such version released briefly that contained a bugged script compiler with the installer that would crash on occasion while compiling the scripts.

Do not get the one on LucasFiles.com since it's the bugged one and they take half an eternity to update files there. If you get it from KotorFiles.com, check the file description, the older one is still available for download for some reason, but with a link to the latest version in the description. :)

If you want to be sure to get the latest (ImprovedAI.zip) you can fetch it from the link in my signature.

(Hmm, I should probably make a retroactive release thread for that mod. It can be a bit confusing with all the information spread out in dozens of posts in a WIP thread...)

jxxx22
10-03-2006, 10:52 PM
http://www.algonet.se/~stoffe/ImprovedAI.zip

this one? supported to high powers?